Export complete workspace data and configuration as an archive
Leave the branch parameter empty to indicate the current live branch. password is optional. If provided, will encrypt the export and will be required when importing the file.
Required API Scope: Instance Workspace: Read
POST
/
workspace
/
{workspace_id}
/
export
Export complete workspace data and configuration as an archive
curl --request POST \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"branch": "",
"password": ""
}
'import requests
url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/export"
payload = {
"branch": "",
"password": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({branch: '', password: ''})
};
fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'branch' => '',
'password' => ''
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/export"
payload := strings.NewReader("{\n \"branch\": \"\",\n \"password\": \"\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/export")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"branch\": \"\",\n \"password\": \"\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"branch\": \"\",\n \"password\": \"\"\n}"
response = http.request(request)
puts response.read_body{}Was this page helpful?
Export complete workspace data and configuration as an archive
curl --request POST \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"branch": "",
"password": ""
}
'import requests
url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/export"
payload = {
"branch": "",
"password": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({branch: '', password: ''})
};
fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'branch' => '',
'password' => ''
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/export"
payload := strings.NewReader("{\n \"branch\": \"\",\n \"password\": \"\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/export")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"branch\": \"\",\n \"password\": \"\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"branch\": \"\",\n \"password\": \"\"\n}"
response = http.request(request)
puts response.read_body{}